List Contacts
Returns a paginated list of contacts.
Authorization
bearerAuth In: header
Query Parameters
Unique identifier for the resource.
uuidFilters by any of the supplied id values.
items <= 10Identifier assigned by an external system.
Filters by any of the supplied external id values.
items <= 10Filters for resources where external id is null.
Filters for resources where external id is not null.
Timestamp when the resource was last updated.
date-timeOnly returns resources whose updated at is at or after this timestamp (inclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose updated at is at or before this timestamp (inclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose updated at is after this timestamp (exclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose updated at is before this timestamp (exclusive). See Filtering for timestamp precision.
date-timeMaximum number of resources to return.
100 <= value <= 100Opaque token returned by a previous page request.
1 <= lengthAdditional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar.
items <= 10Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/contacts"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "full_name": "string", "salutation": "string", "birthday": "2019-08-24", "description": "string", "external_id": "string", "secondary_external_id": "string", "address_line1": "string", "address_line2": "string", "city": "string", "zipcode": "string", "country": "string", "is_blocked": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "identities": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "channel_type": "email", "type": "email_address", "value": "string", "scope_type": "meta_business_portfolio", "scope_id": "string", "health": "healthy", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "channels": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "channel_type": "email", "health": "healthy", "transactional_opt_in": "consent_granted", "marketing_subscription_status": "requested", "marketing_messages_this_month": 32767, "messages_this_month": 32767, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "property1": "string", "property2": "string" } ], "next_page_url": "string", "previous_page_url": "string"}